Bug 55983 - Remove unused function declaration in PlatformContextSkia.h
Summary: Remove unused function declaration in PlatformContextSkia.h
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-08 16:57 PST by Chris Guillory
Modified: 2011-04-10 18:24 PDT (History)
2 users (show)

See Also:


Attachments
Patch (1.70 KB, patch)
2011-03-08 17:06 PST, Chris Guillory
no flags Details | Formatted Diff | Diff
Patch (1.72 KB, patch)
2011-03-08 17:08 PST, Chris Guillory
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Guillory 2011-03-08 16:57:49 PST
Implementation for skia::PlatformCanvas* PlatformContextSkia::canvas() const was previously removed:
http://src.chromium.org/viewvc/chrome/trunk/src/webkit/port/platform/graphics/PlatformContextSkia.cpp?r1=4321&r2=4320&pathrev=4321
Comment 1 Chris Guillory 2011-03-08 17:06:19 PST
Created attachment 85109 [details]
Patch
Comment 2 Chris Guillory 2011-03-08 17:08:29 PST
Created attachment 85110 [details]
Patch
Comment 3 Chris Guillory 2011-03-15 18:00:49 PDT
Dimitri can you look over this cleanup.
Comment 4 Eric Seidel (no email) 2011-04-10 16:16:19 PDT
Comment on attachment 85110 [details]
Patch

OK.
Comment 5 WebKit Commit Bot 2011-04-10 18:24:14 PDT
Comment on attachment 85110 [details]
Patch

Clearing flags on attachment: 85110

Committed r83409: <http://trac.webkit.org/changeset/83409>
Comment 6 WebKit Commit Bot 2011-04-10 18:24:19 PDT
All reviewed patches have been landed.  Closing bug.